public inbox for gcc-bugs@sourceware.org
help / color / mirror / Atom feed
From: "laurent at guerby dot net" <gcc-bugzilla@gcc.gnu.org>
To: gcc-bugs@gcc.gnu.org
Subject: [Bug ada/20548] [4.1 Regression] ACATS c52103x c52104x c52104y segfault at runtime on x86_64
Date: Mon, 05 Sep 2005 19:10:00 -0000	[thread overview]
Message-ID: <20050905191004.769.qmail@sourceware.org> (raw)
In-Reply-To: <20050319080319.20548.laurent@guerby.net>


------- Additional Comments From laurent at guerby dot net  2005-09-05 19:09 -------
Ok testing:

Index: stack.lst
===================================================================
RCS file: stack.lst
diff -N stack.lst
--- /dev/null   1 Jan 1970 00:00:00 -0000
+++ stack.lst   5 Sep 2005 19:08:30 -0000
@@ -0,0 +1,3 @@
+c52103x
+c52104x
+c52104y
Index: run_all.sh
===================================================================
RCS file: /cvs/gcc/gcc/gcc/testsuite/ada/acats/run_all.sh,v
retrieving revision 1.19
diff -u -r1.19 run_all.sh
--- run_all.sh  18 Apr 2005 17:32:56 -0000      1.19
+++ run_all.sh  5 Sep 2005 19:08:30 -0000
@@ -206,6 +206,7 @@
    counti=0
    for i in `cat $dir/tests/$chapter/${chapter}.lst`; do
       counti=`expr $counti + 1`
+
       extraflags=""
       grep $i $testdir/overflow.lst > /dev/null 2>&1
       if [ $? -eq 0 ]; then
@@ -215,6 +216,11 @@
       if [ $? -eq 0 ]; then
          extraflags="$extraflags -gnatE"
       fi
+      grep $i $testdir/stack.lst > /dev/null 2>&1
+      if [ $? -eq 0 ]; then
+         extraflags="$extraflags -fstack-check"
+      fi
+
       test=$dir/tests/$chapter/$i
       mkdir $test && cd $test >> $dir/acats.log 2>&1



-- 


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20548


  parent reply	other threads:[~2005-09-05 19:10 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2005-03-19  8:03 [Bug ada/20548] New: ACATS c52103x " laurent at guerby dot net
2005-03-19 14:43 ` [Bug ada/20548] [4.1 Regression] " pinskia at gcc dot gnu dot org
2005-03-19 14:59 ` laurent at guerby dot net
2005-03-19 15:38 ` ebotcazou at gcc dot gnu dot org
2005-03-19 22:39 ` laurent at guerby dot net
2005-04-04 19:13 ` laurent at guerby dot net
2005-04-08 10:58 ` laurent at guerby dot net
2005-06-11 23:10 ` laurent at guerby dot net
2005-07-09 23:40 ` pinskia at gcc dot gnu dot org
2005-08-25 19:01 ` laurent at guerby dot net
2005-08-29 13:40 ` ebotcazou at gcc dot gnu dot org
2005-09-05 17:54 ` [Bug ada/20548] [4.1 Regression] ACATS c52103x c52104x c52104y " laurent at guerby dot net
2005-09-05 18:04 ` ebotcazou at gcc dot gnu dot org
2005-09-05 19:10 ` laurent at guerby dot net [this message]
2005-09-05 22:21 ` laurent at guerby dot net
2005-09-06  6:16 ` ebotcazou at gcc dot gnu dot org
     [not found] <bug-20548-7210@http.gcc.gnu.org/bugzilla/>
2005-10-22 21:51 ` pinskia at gcc dot gnu dot org
2005-10-30 23:31 ` pinskia at gcc dot gnu dot org
2005-11-03  8:47 ` laurent at guerby dot net
2005-11-14  7:47 ` laurent at guerby dot net
2005-11-14  7:49 ` ebotcazou at gcc dot gnu dot org

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20050905191004.769.qmail@sourceware.org \
    --to=gcc-bugzilla@gcc.gnu.org \
    --cc=gcc-bugs@gcc.gnu.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).